package org.freecompany.imp;

public class Constants {

	public static final String TYPE_COMPILE = "compile";
	public static final String TYPE_TEST = "test";
	public static final String TYPE_RUN = "run";
	public static final String TYPE_COMPONENT = "component";

	public static final String VERSION_SNAPSHOT = "SNAPSHOT";

	public static final String PROPERTY_GROUP = "imp.project.group";
	public static final String PROPERTY_INITIALIZED = "imp.project.reference.initialized";
	public static final String PROPERTY_JAVADOC = "imp.module.javadoc";
	public static final String PROPERTY_MODULE = "imp.project.module";
	public static final String PROPERTY_NAME = "imp.project.name";
	public static final String PROPERTY_RUNTIME = "imp.project.runtime";
	public static final String PROPERTY_SKIP = "imp.project.skip";
	public static final String PROPERTY_SOURCE_TRANSFORM = "imp.project.source.transform";
	public static final String PROPERTY_VERSION = "imp.project.version";

	public static final String REFERENCE_ALL ="imp.project.reference.all";
	public static final String REFERENCE_COMPILE ="imp.project.reference.compile";
	public static final String REFERENCE_COMPONENTS ="imp.project.reference.components";
	public static final String REFERENCE_TEST_COMPONENTS ="imp.project.reference.testcomponents";
	public static final String REFERENCE_TEST ="imp.project.reference.test";
	public static final String REFERENCE_IMPORTS ="imp.project.reference.imports";
	public static final String REFERENCE_INDEX = "imp.project.reference.index";
	public static final String REFERENCE_JAVADOCS = "imp.project.reference.javadocs";
	public static final String REFERENCE_MODULE = "imp.project.reference.module";
	public static final String REFERENCE_MODULES ="imp.project.reference.modules";
	public static final String REFERENCE_PACKAGE ="imp.project.reference.package";
	public static final String REFERENCE_PROPERTIES ="imp.project.reference.properties";
	public static final String REFERENCE_REPOSITORIES ="imp.project.reference.repositories";
	public static final String REFERENCE_RUN ="imp.project.reference.run";
	public static final String REFERENCE_SUBPROJECTS ="imp.project.reference.subprojects";

	public static final String PREFIX_URL = "imp.project.dependency.uri.";
	public static final String PREFIX_PATH = "imp.project.dependency.property.";
	
	public static final String PATH_COMPILE = "imp.project.dependency.path.compile";
	public static final String PATH_TEST = "imp.project.dependency.path.test";
	public static final String PATH_RUN = "imp.project.dependency.path.run";

	public static final String FILESET_COMPILE = "imp.project.dependency.fileset.compile";
	public static final String FILESET_TEST = "imp.project.dependency.fileset.test";
	public static final String FILESET_RUN = "imp.project.dependency.fileset.run";
	public static final String FILESET_PACKAGE = "imp.project.dependency.fileset.package";

	public static final String REPLACE_PROPERTY = "imp.project.filtersfile";
	public static final String REPLACE_PROPERTIES = "imp.project.filters";
}
