package org.freecompany.imp;

import java.util.*;
import org.apache.tools.ant.*;

import static org.freecompany.imp.Constants.*;

/**
 * Examines the projects index object to determine which package targets
 * to call.
 */
public class Package extends Task {

	public void execute() throws BuildException {
		Index index = ( Index) getProject().getReference( REFERENCE_INDEX);
		if ( index == null) throw new BuildException( "This task cannot run without an index defined in your build file, please see 'http://www.freecompany.org/imp/usage.html'.");
		List types = index.getTypes();
		if ( types != null) for ( String key : index.getTypes()) getProject().executeTarget( key);
	}
}
